Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZFilePackageHandler Class Reference

Handles content classes in the package system. More...

Inheritance diagram for eZFilePackageHandler:

## Public Member Functions
| __construct ()
| install ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| add ( $packageType, $package, $cli, $parameters)
| handleAddParameters ( $packageType, $package, $cli, $arguments)
| handleParameters ( $packageType, $package, $cli, $type, $arguments)
| roleExists ( $type, $role)
| designExists ( $design)
| fileExists (&$file, &$type, &$role, &$roleValue, &$design, &$triedFiles)
| iniMatch ( $filePath, &$role, &$roleValue, &$file, &$triedFiles)
| createInstallNode ( $package, $installNode, $installItem, $installType)
| parseInstallNode ( $package, $installNode, &$installParameters, $isInstall)
Public Member Functions inherited from eZPackageHandler
| __construct ( $handlerType, $parameters=array())
| extractInstallContent ()
| uninstall ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| handlerType ()
| reset ()
| explainInstallItem ( $package, $installItem, $requestedInfo=array())
| createDependencyNode ( $package, &$dependencyNode, $dependencyItem, $dependencySection)
| parseDependencyNode ( $package, &$dependencyNode, &$dependencyParameters, $dependencySection)
| createDependencyText ( $package, $dependencyItem, $dependencySection)
| isErrorElement ( $elementID, &$installParameters)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageHandler
static | errorChoosenAction ( $errorCode, &$installParameters, $description, $handlerType, $resetError=true)
Public Attributes inherited from eZPackageHandler
| $ExtractInstallContent
| $HandlerType

## Detailed Description

Handles content classes in the package system.

Definition at line 17 of file ezfilepackagehandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFilePackageHandler::__construct | ( |  | ) |

Definition at line 19 of file ezfilepackagehandler.php.

## Member Function Documentation

## ◆ add()

eZFilePackageHandler::add | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $parameters
| ) |  |
| virtual

Adds items defined in $parameters to the package $package.

Implements eZPackageHandler.

Definition at line 85 of file ezfilepackagehandler.php.

## ◆ createInstallNode()

eZFilePackageHandler::createInstallNode | ( |  | $package,
|  |  | $installNode,
|  |  | $installItem,
|  |  | $installType
| ) |  |
| virtual

Fills in extra information on the install node $installNode which is specific to the current handler.

Parameters

  $package | The current package.
  $installItem | Contains all variables for the install
  $installType | The type of install, can be `'install'` or `'uninstall'`

Implements eZPackageHandler.

Definition at line 579 of file ezfilepackagehandler.php.

## ◆ designExists()

eZFilePackageHandler::designExists | ( |  | $design | ) |

Definition at line 348 of file ezfilepackagehandler.php.

Referenced by handleParameters().

## ◆ fileExists()

eZFilePackageHandler::fileExists | ( | & | $file,
|  | & | $type,
|  | & | $role,
|  | & | $roleValue,
|  | & | $design,
|  | & | $triedFiles
| ) |  |

Definition at line 353 of file ezfilepackagehandler.php.

References eZExtension\baseDirectory(), and iniMatch().

Referenced by handleParameters().

## ◆ handleAddParameters()

eZFilePackageHandler::handleAddParameters | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $arguments
| ) |  |
| virtual

Called when command line parameters must be handled by the package handler. This function must return an array with values which can easily be used in the add() function.

Parameters

  $packageType | The type that was specified when using the add command, which is either the name of this handler or an alias for it.
  $package | The package object.
  $cli | Command line interface object, can be used to output errors etc.
  $arguments | An array with string values taken from the command line after the add command.

Implements eZPackageHandler.

Definition at line 136 of file ezfilepackagehandler.php.

References handleParameters().

## ◆ handleParameters()

eZFilePackageHandler::handleParameters | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $type,
|  |  | $arguments
| ) |  |

Definition at line 141 of file ezfilepackagehandler.php.

References designExists(), fileExists(), iniMatch(), eZDir\recursiveFind(), and roleExists().

Referenced by handleAddParameters().

## ◆ iniMatch()

eZFilePackageHandler::iniMatch | ( |  | $filePath,
|  | & | $role,
|  | & | $roleValue,
|  | & | $file,
|  | & | $triedFiles
| ) |  |

Definition at line 529 of file ezfilepackagehandler.php.

Referenced by fileExists(), and handleParameters().

## ◆ install()

eZFilePackageHandler::install | ( |  | $package,
|  |  | $installType,
|  |  | $parameters,
|  |  | $name,
|  |  | $os,
|  |  | $filename,
|  |  | $subdirectory,
|  |  | $content,
|  | & | $installParameters,
|  | & | $installData
| ) |  |
| virtual

Installs the package item

Implements eZPackageHandler.

Definition at line 24 of file ezfilepackagehandler.php.

References eZFileHandler\copy(), and eZDir\mkdir().

## ◆ parseInstallNode()

eZFilePackageHandler::parseInstallNode | ( |  | $package,
|  |  | $installNode,
|  | & | $installParameters,
|  |  | $isInstall
| ) |  |
| virtual

Parses the XML node `$installNode` and fills in extra information not handled by the package parser.

Parameters

  $package | The current package.
  $installParameters | Reference to an array which must be filled with specific data for the current handler.
  $isInstall | Is `true` if this is an install node, `false` if it is an uninstall node

Implements eZPackageHandler.

Definition at line 584 of file ezfilepackagehandler.php.

## ◆ roleExists()

eZFilePackageHandler::roleExists | ( |  | $type,
|  |  | $role
| ) |  |

Definition at line 337 of file ezfilepackagehandler.php.

Referenced by handleParameters().

The documentation for this class was generated from the following file:

- ezfilepackagehandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.